Index: LMDZ5/trunk/libf/dyn3dmem/integrd_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/integrd_loc.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dmem/integrd_loc.F	(revision 2597)
@@ -12,4 +12,5 @@
       USE integrd_mod
       USE infotrac, ONLY: ok_iso_verif ! ajout CRisi
+      USE comconst_mod, ONLY: pi
       IMPLICIT NONE
 
@@ -30,14 +31,12 @@
 c   -------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comgeom.h"
-#include "comvert.h"
-#include "logic.h"
-#include "temps.h"
-#include "serre.h"
-#include "iniprint.h"
-!      include 'mpif.h'
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
+      include "comvert.h"
+      include "logic.h"
+      include "temps.h"
+      include "serre.h"
+      include "iniprint.h"
 
 c   Arguments:
@@ -335,5 +334,5 @@
       ije=ij_end
 
-	 if (planet_type.eq."earth") then
+         if (planet_type.eq."earth") then
 ! Earth-specific treatment of first 2 tracers (water)
 c$OMP BARRIER
@@ -452,6 +451,6 @@
           DO l = 1, llm
             massem1(ijb:ije,l)=massescr(ijb:ije,l)
-	  ENDDO
-c$OMP END DO NOWAIT	  
+          ENDDO
+c$OMP END DO NOWAIT          
       END IF
 c$OMP BARRIER
Index: LMDZ5/trunk/libf/dyn3dmem/leapfrog_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/leapfrog_loc.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dmem/leapfrog_loc.F	(revision 2597)
@@ -32,4 +32,5 @@
        use exner_hyb_loc_m, only: exner_hyb_loc
        use exner_milieu_loc_m, only: exner_milieu_loc
+       USE comconst_mod, ONLY: cpp, dtvr, ihf
       IMPLICIT NONE
 
@@ -65,19 +66,16 @@
 c   -------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comdissnew.h"
-#include "comvert.h"
-#include "comgeom.h"
-#include "logic.h"
-#include "temps.h"
-#include "ener.h"
-#include "description.h"
-#include "serre.h"
-!#include "com_io_dyn.h"
-#include "iniprint.h"
-#include "academic.h"
-!      include "mpif.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comdissnew.h"
+      include "comvert.h"
+      include "comgeom.h"
+      include "logic.h"
+      include "temps.h"
+      include "ener.h"
+      include "description.h"
+      include "serre.h"
+      include "iniprint.h"
+      include "academic.h"
       
       REAL,INTENT(IN) :: time_0 ! not used
Index: LMDZ5/trunk/libf/dyn3dmem/massbarxy_loc.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/massbarxy_loc.F90	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dmem/massbarxy_loc.F90	(revision 2597)
@@ -10,5 +10,4 @@
   include "dimensions.h"
   include "paramet.h"
-  include "comconst.h"
   include "comgeom.h"
 !===============================================================================
Index: LMDZ5/trunk/libf/dyn3dmem/massdair_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/massdair_loc.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dmem/massdair_loc.F	(revision 2597)
@@ -16,8 +16,7 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comgeom.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
 c
 c  .....   arguments  ....
Index: LMDZ5/trunk/libf/dyn3dmem/sw_case_williamson91_6_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/sw_case_williamson91_6_loc.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dmem/sw_case_williamson91_6_loc.F	(revision 2597)
@@ -27,4 +27,5 @@
 c=======================================================================
       USE parallel_lmdz
+      USE comconst_mod, ONLY: cpp, omeg, rad
 
       IMPLICIT NONE
@@ -33,10 +34,9 @@
 c   ---------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comvert.h"
-#include "comconst.h"
-#include "comgeom.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comvert.h"
+      include "comgeom.h"
+      include "iniprint.h"
 
 c   Arguments:
Index: LMDZ5/trunk/libf/dyn3dmem/top_bound_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/top_bound_loc.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dmem/top_bound_loc.F	(revision 2597)
@@ -4,11 +4,12 @@
       SUBROUTINE top_bound_loc(vcov,ucov,teta,masse,dt)
       USE parallel_lmdz
+      USE comconst_mod, ONLY: iflag_top_bound, mode_top_bound,
+     &                        tau_top_bound
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom2.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comvert.h"
+      include "comgeom2.h"
 
 
@@ -40,5 +41,5 @@
 ! NB: top_bound sponge is only called from leapfrog if ok_strato=.true.
 
-! sponge parameters: (loaded/set in conf_gcm.F ; stored in comconst.h)
+! sponge parameters: (loaded/set in conf_gcm.F ; stored in comconst_mod)
 !    iflag_top_bound=0 for no sponge
 !    iflag_top_bound=1 for sponge over 4 topmost layers
@@ -74,5 +75,5 @@
       REAL tzon(jjb_u:jje_u,llm)
       
-      integer i	
+      integer i
       REAL,SAVE :: rdamp(llm)
       real,save :: lambda(llm) ! inverse or quenching time scale (Hz)
Index: LMDZ5/trunk/libf/dyn3dmem/vlsplt_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/vlsplt_loc.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dmem/vlsplt_loc.F	(revision 2597)
@@ -17,9 +17,8 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "logic.h"
+      include "comvert.h"
 c
 c
@@ -417,12 +416,12 @@
       USE parallel_lmdz
       USE infotrac, ONLY : nqtot,nqfils,nqdesc,iqfils ! CRisi
+      USE comconst_mod, ONLY: pi
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
-#include "comgeom.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "logic.h"
+      include "comvert.h"
+      include "comgeom.h"
 c
 c
@@ -875,9 +874,8 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "logic.h"
+      include "comvert.h"
 c
 c
Index: LMDZ5/trunk/libf/dyn3dmem/vlspltgen_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/vlspltgen_loc.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dmem/vlspltgen_loc.F	(revision 2597)
@@ -31,12 +31,12 @@
      &    ok_iso_verif
       USE vlspltgen_mod
+      USE comconst_mod, ONLY: cpp
       IMPLICIT NONE
 
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "logic.h"
+      include "comvert.h"
 
 c
@@ -100,11 +100,11 @@
 
         
-	ijb=ij_begin-iip1
-	ije=ij_end+iip1
-	if (pole_nord) ijb=ij_begin
-	if (pole_sud) ije=ij_end
-	
+        ijb=ij_begin-iip1
+        ije=ij_end+iip1
+        if (pole_nord) ijb=ij_begin
+        if (pole_sud) ije=ij_end
+        
 c$OMP DO SCHEDULE(STATIC,OMP_CHUNK) 
-	DO l = 1, llm
+        DO l = 1, llm
          DO ij = ijb, ije
           tempe(ij) = teta(ij,l) * pk(ij,l) /cpp
@@ -208,19 +208,19 @@
 #endif
         if(iadv(iq) == 0) then
-	
-	  cycle 
-	
-	else if (iadv(iq)==10) then
+        
+          cycle 
+        
+        else if (iadv(iq)==10) then
 
 #ifdef _ADV_HALO        
 ! CRisi: on ajoute les nombres de fils et tableaux des fils
 ! On suppose qu'on ne peut advecter les fils que par le schéma 10.  
-	  call vlx_loc(zq,pente_max,zm,mu,
-     &	             ij_begin,ij_begin+2*iip1-1,iq)
+          call vlx_loc(zq,pente_max,zm,mu,
+     &                     ij_begin,ij_begin+2*iip1-1,iq)
           call vlx_loc(zq,pente_max,zm,mu,
      &               ij_end-2*iip1+1,ij_end,iq)
 #else
-	  call vlx_loc(zq,pente_max,zm,mu,
-     &	             ij_begin,ij_end,iq)
+          call vlx_loc(zq,pente_max,zm,mu,
+     &                     ij_begin,ij_end,iq)
 #endif
 
@@ -240,5 +240,5 @@
           call VTe(VTHallo)
 c$OMP END MASTER
-	else if (iadv(iq)==14) then
+        else if (iadv(iq)==14) then
 
 #ifdef _ADV_HALO           
@@ -268,6 +268,6 @@
 c$OMP END MASTER 
         else
-	
-	  stop 'vlspltgen_p : schema non parallelise'
+        
+          stop 'vlspltgen_p : schema non parallelise'
       
         endif
@@ -301,8 +301,8 @@
 
         if(iadv(iq) == 0) then
-	
-	  cycle 
-	
-	else if (iadv(iq)==10) then
+        
+          cycle 
+        
+        else if (iadv(iq)==10) then
 
 #ifdef _ADV_HALLO
@@ -310,5 +310,5 @@
      &                 ij_begin+2*iip1,ij_end-2*iip1,iq)
 #endif        
-	else if (iadv(iq)==14) then
+        else if (iadv(iq)==14) then
 #ifdef _ADV_HALLO
           call vlxqs_loc(zq,pente_max,zm,mu,
@@ -316,6 +316,6 @@
 #endif    
         else
-	
-	  stop 'vlspltgen_p : schema non parallelise'
+        
+          stop 'vlspltgen_p : schema non parallelise'
       
         endif
@@ -358,12 +358,12 @@
 
         if(iadv(iq) == 0) then
-	
-	  cycle 
-	
-	else if (iadv(iq)==10) then
+        
+          cycle 
+        
+        else if (iadv(iq)==10) then
         
           call vly_loc(zq,pente_max,zm,mv,iq)
   
-	else if (iadv(iq)==14) then
+        else if (iadv(iq)==14) then
       
           call vlyqs_loc(zq,pente_max,zm,mv,
@@ -371,6 +371,6 @@
  
         else
-	
-	  stop 'vlspltgen_p : schema non parallelise'
+        
+          stop 'vlspltgen_p : schema non parallelise'
       
         endif
@@ -389,8 +389,8 @@
 #endif
         if(iadv(iq) == 0) then 
-	  
-	  cycle 
-	
-	else if (iadv(iq)==10 .or. iadv(iq)==14 ) then
+          
+          cycle 
+        
+        else if (iadv(iq)==10 .or. iadv(iq)==14 ) then
 
 c$OMP BARRIER        
@@ -420,9 +420,9 @@
 c$OMP MASTER
           call VTe(VTHallo)
-c$OMP END MASTER	
+c$OMP END MASTER        
 c$OMP BARRIER
         else
-	
-	  stop 'vlspltgen_p : schema non parallelise'
+        
+          stop 'vlspltgen_p : schema non parallelise'
       
         endif
@@ -439,5 +439,5 @@
 c$OMP MASTER
       call VTe(VTHallo)
-c$OMP END MASTER	
+c$OMP END MASTER        
 
 
@@ -451,8 +451,8 @@
 
         if(iadv(iq) == 0) then
-	  
-	  cycle 
-	
-	else if (iadv(iq)==10 .or. iadv(iq)==14 ) then
+          
+          cycle 
+        
+        else if (iadv(iq)==10 .or. iadv(iq)==14 ) then
 c$OMP BARRIER        
 
@@ -464,6 +464,6 @@
 c$OMP BARRIER        
         else
-	
-	  stop 'vlspltgen_p : schema non parallelise'
+        
+          stop 'vlspltgen_p : schema non parallelise'
       
         endif
@@ -501,12 +501,12 @@
 #endif
         if(iadv(iq) == 0) then
-	
-	  cycle 
-	
-	else if (iadv(iq)==10) then
+        
+          cycle 
+        
+        else if (iadv(iq)==10) then
         
           call vly_loc(zq,pente_max,zm,mv,iq)
   
-	else if (iadv(iq)==14) then
+        else if (iadv(iq)==14) then
       
           call vlyqs_loc(zq,pente_max,zm,mv,
@@ -514,6 +514,6 @@
  
         else
-	
-	  stop 'vlspltgen_p : schema non parallelise'
+        
+          stop 'vlspltgen_p : schema non parallelise'
       
         endif
@@ -532,13 +532,13 @@
 #endif
         if(iadv(iq) == 0) then 
-	  
-	  cycle 
-	
-	else if (iadv(iq)==10) then
+          
+          cycle 
+        
+        else if (iadv(iq)==10) then
         
           call vlx_loc(zq,pente_max,zm,mu,
      &               ij_begin,ij_end,iq)
   
-	else if (iadv(iq)==14) then
+        else if (iadv(iq)==14) then
       
           call vlxqs_loc(zq,pente_max,zm,mu,
@@ -546,5 +546,5 @@
  
         else
-	
+        
           stop 'vlspltgen_p : schema non parallelise'
       
@@ -574,6 +574,6 @@
            DO ij=ijb,ije
 c             print *,'zq-->',ij,l,iq,zq(ij,l,iq)
-c	     print *,'q-->',ij,l,iq,q(ij,l,iq)
-	     q(ij,l,iq)=zq(ij,l,iq)
+c             print *,'q-->',ij,l,iq,q(ij,l,iq)
+             q(ij,l,iq)=zq(ij,l,iq)
            ENDDO
         ENDDO
Index: LMDZ5/trunk/libf/dyn3dmem/vlspltqs_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/vlspltqs_loc.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dmem/vlspltqs_loc.F	(revision 2597)
@@ -12,9 +12,8 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "logic.h"
+      include "comvert.h"
 c
 c
@@ -420,12 +419,12 @@
       USE parallel_lmdz
       USE infotrac, ONLY : nqtot,nqfils,nqdesc,iqfils ! CRisi  
+      USE comconst_mod, ONLY: pi
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
-#include "comgeom.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "logic.h"
+      include "comvert.h"
+      include "comgeom.h"
 c
 c
Index: LMDZ5/trunk/libf/dyn3dmem/writedynav_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/writedynav_loc.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dmem/writedynav_loc.F	(revision 2597)
@@ -13,4 +13,5 @@
       USE infotrac, ONLY : nqtot, ttext
       use com_io_dyn_mod, only : histaveid,histvaveid,histuaveid
+      USE comconst_mod, ONLY: cpp
       implicit none
 
@@ -41,15 +42,14 @@
 C
 C   Declarations
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom.h"
-#include "temps.h"
-#include "ener.h"
-#include "logic.h"
-#include "description.h"
-#include "serre.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comvert.h"
+      include "comgeom.h"
+      include "temps.h"
+      include "ener.h"
+      include "logic.h"
+      include "description.h"
+      include "serre.h"
+      include "iniprint.h"
 
 C
Index: LMDZ5/trunk/libf/dyn3dmem/writehist_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/writehist_loc.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dmem/writehist_loc.F	(revision 2597)
@@ -13,4 +13,5 @@
       USE infotrac, ONLY : nqtot, ttext
       use com_io_dyn_mod, only : histid,histvid,histuid
+      USE comconst_mod, ONLY: cpp
       implicit none
 
@@ -41,15 +42,14 @@
 C
 C   Declarations
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom.h"
-#include "temps.h"
-#include "ener.h"
-#include "logic.h"
-#include "description.h"
-#include "serre.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comvert.h"
+      include "comgeom.h"
+      include "temps.h"
+      include "ener.h"
+      include "logic.h"
+      include "description.h"
+      include "serre.h"
+      include "iniprint.h"
 
 C
Index: LMDZ5/trunk/libf/dyn3dpar/addfi_p.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/addfi_p.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/addfi_p.F	(revision 2597)
@@ -48,5 +48,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom.h"
 #include "serre.h"
Index: LMDZ5/trunk/libf/dyn3dpar/advect_new_p.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/advect_new_p.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/advect_new_p.F	(revision 2597)
@@ -6,4 +6,5 @@
       USE parallel_lmdz
       USE write_field_p
+      USE comconst_mod, ONLY: daysec
       IMPLICIT NONE
 c=======================================================================
@@ -28,5 +29,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comvert.h"
 #include "comgeom.h"
Index: LMDZ5/trunk/libf/dyn3dpar/advect_p.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/advect_p.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/advect_p.F	(revision 2597)
@@ -5,4 +5,5 @@
       USE parallel_lmdz
       USE write_field_p
+      USE comconst_mod, ONLY: daysec
       IMPLICIT NONE
 c=======================================================================
@@ -27,5 +28,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comvert.h"
 #include "comgeom.h"
Index: LMDZ5/trunk/libf/dyn3dpar/advtrac_p.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/advtrac_p.F90	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/advtrac_p.F90	(revision 2597)
@@ -19,9 +19,9 @@
   USE infotrac, ONLY: nqtot, iadv
   USE control_mod, ONLY: iapp_tracvl, day_step, planet_type
+  USE comconst_mod, ONLY: dtvr
   IMPLICIT NONE
   !
   include "dimensions.h"
   include "paramet.h"
-  include "comconst.h"
   include "comvert.h"
   include "comdissip.h"
Index: LMDZ5/trunk/libf/dyn3dpar/bilan_dyn_p.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/bilan_dyn_p.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/bilan_dyn_p.F	(revision 2597)
@@ -17,9 +17,9 @@
       use misc_mod
       use write_field_p
+      USE comconst_mod, ONLY: cpp, pi
       IMPLICIT NONE
 
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comvert.h"
 #include "comgeom2.h"
Index: LMDZ5/trunk/libf/dyn3dpar/caladvtrac_p.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/caladvtrac_p.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/caladvtrac_p.F	(revision 2597)
@@ -10,4 +10,5 @@
       USE infotrac, ONLY : nqtot
       USE control_mod, ONLY : iapp_tracvl,planet_type
+      USE comconst_mod, ONLY: dtvr
 c
       IMPLICIT NONE
@@ -25,5 +26,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 
 c   Arguments:
Index: LMDZ5/trunk/libf/dyn3dpar/caldyn_p.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/caldyn_p.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/caldyn_p.F	(revision 2597)
@@ -31,5 +31,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comvert.h"
 #include "comgeom.h"
Index: LMDZ5/trunk/libf/dyn3dpar/conf_gcm.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/conf_gcm.F90	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/conf_gcm.F90	(revision 2597)
@@ -16,4 +16,7 @@
   USE infotrac, ONLY : type_trac
   use assert_m, only: assert
+  USE comconst_mod, ONLY: dissip_deltaz, dissip_factz, dissip_zref, &
+                          iflag_top_bound, mode_top_bound, tau_top_bound, &
+                          ngroup
 
   IMPLICIT NONE
@@ -38,5 +41,4 @@
   include "comdissnew.h"
   include "temps.h"
-  include "comconst.h"
   include "iniprint.h"
 
Index: LMDZ5/trunk/libf/dyn3dpar/dissip_p.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/dissip_p.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/dissip_p.F	(revision 2597)
@@ -6,4 +6,5 @@
       USE parallel_lmdz
       USE write_field_p
+      USE comconst_mod, ONLY: dtdiss
       IMPLICIT NONE
 
@@ -29,5 +30,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom.h"
 #include "comdissnew.h"
Index: LMDZ5/trunk/libf/dyn3dpar/dynetat0.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/dynetat0.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/dynetat0.F	(revision 2597)
@@ -9,4 +9,6 @@
 
       use control_mod, only : planet_type
+      USE comconst_mod, ONLY: cpp, daysec, dtvr, g, im, jm, kappa,
+     &                        lllm, omeg, rad
 
       IMPLICIT NONE
@@ -30,5 +32,4 @@
 #include "paramet.h"
 #include "temps.h"
-#include "comconst.h"
 #include "comvert.h"
 #include "comgeom2.h"
Index: LMDZ5/trunk/libf/dyn3dpar/dynredem.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/dynredem.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/dynredem.F	(revision 2597)
@@ -9,4 +9,5 @@
       USE infotrac
       use netcdf95, only: NF95_PUT_VAR
+      USE comconst_mod, ONLY: cpp, daysec, dtvr, g, kappa, omeg, rad
  
       IMPLICIT NONE
@@ -18,5 +19,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comvert.h"
 #include "comgeom2.h"
Index: LMDZ5/trunk/libf/dyn3dpar/dynredem_p.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/dynredem_p.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/dynredem_p.F	(revision 2597)
@@ -10,4 +10,5 @@
       USE infotrac
       use netcdf95, only: NF95_PUT_VAR
+      USE comconst_mod, ONLY: cpp, daysec, dtvr, g, kappa, omeg, rad
  
       IMPLICIT NONE
@@ -19,5 +20,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comvert.h"
 #include "comgeom2.h"
Index: LMDZ5/trunk/libf/dyn3dpar/exner_hyb_p_m.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/exner_hyb_p_m.F90	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/exner_hyb_p_m.F90	(revision 2597)
@@ -33,8 +33,8 @@
     !
     USE parallel_lmdz
+    USE comconst_mod, ONLY: cpp, kappa, r, jmp1
     !
     include "dimensions.h"
     include "paramet.h"
-    include "comconst.h"
     include "comgeom.h"
     include "comvert.h"
Index: LMDZ5/trunk/libf/dyn3dpar/exner_milieu_p_m.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/exner_milieu_p_m.F90	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/exner_milieu_p_m.F90	(revision 2597)
@@ -30,8 +30,8 @@
     !
     USE parallel_lmdz
+    USE comconst_mod, ONLY: cpp, kappa, r, jmp1
     !
     include "dimensions.h"
     include "paramet.h"
-    include "comconst.h"
     include "comgeom.h"
     include "comvert.h"
Index: LMDZ5/trunk/libf/dyn3dpar/fluxstokenc_p.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/fluxstokenc_p.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/fluxstokenc_p.F	(revision 2597)
@@ -21,5 +21,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comvert.h"
 #include "comgeom.h"
Index: LMDZ5/trunk/libf/dyn3dpar/friction_p.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/friction_p.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/friction_p.F	(revision 2597)
@@ -12,4 +12,5 @@
       USE ioipsl_getincom
 #endif
+      USE comconst_mod, ONLY: pi
       IMPLICIT NONE
 
@@ -29,5 +30,4 @@
 #include "paramet.h"
 #include "comgeom2.h"
-#include "comconst.h"
 #include "iniprint.h"
 #include "academic.h"
Index: LMDZ5/trunk/libf/dyn3dpar/gcm.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/gcm.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/gcm.F	(revision 2597)
@@ -32,4 +32,6 @@
       USE iniphysiq_mod, ONLY: iniphysiq
 #endif
+      USE comconst_mod, ONLY: cpp, daysec, dtphys, dtvr, g, r, rad
+
       IMPLICIT NONE
 
@@ -65,5 +67,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comdissnew.h"
 #include "comvert.h"
Index: LMDZ5/trunk/libf/dyn3dpar/groupe_p.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/groupe_p.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/groupe_p.F	(revision 2597)
@@ -1,4 +1,5 @@
       subroutine groupe_p(pext,pbaru,pbarv,pbarum,pbarvm,wm)
       USE parallel_lmdz
+      USE comconst_mod, ONLY: ngroup
       implicit none
 
@@ -16,5 +17,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom2.h"
 #include "comvert.h"
Index: LMDZ5/trunk/libf/dyn3dpar/groupeun_p.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/groupeun_p.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/groupeun_p.F	(revision 2597)
@@ -2,9 +2,9 @@
       USE parallel_lmdz
       USE Write_Field_p
+      USE comconst_mod, ONLY: ngroup
       IMPLICIT NONE
 
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom2.h"
 
@@ -136,9 +136,9 @@
 
       USE parallel_lmdz
+      USE comconst_mod, ONLY: ngroup
       IMPLICIT NONE
 
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom2.h"
 
Index: LMDZ5/trunk/libf/dyn3dpar/guide_p_mod.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/guide_p_mod.F90	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/guide_p_mod.F90	(revision 2597)
@@ -341,4 +341,5 @@
     USE parallel_lmdz
     USE control_mod
+    USE comconst_mod, ONLY: daysec, dtvr, cpp, kappa
     
     IMPLICIT NONE
@@ -346,5 +347,4 @@
     INCLUDE "dimensions.h"
     INCLUDE "paramet.h"
-    INCLUDE "comconst.h"
     INCLUDE "comvert.h"
 
@@ -619,4 +619,6 @@
   SUBROUTINE guide_zonave(typ,hsize,vsize,field)
 
+    USE comconst_mod, ONLY: pi
+    
     IMPLICIT NONE
 
@@ -624,5 +626,4 @@
     INCLUDE "paramet.h"
     INCLUDE "comgeom.h"
-    INCLUDE "comconst.h"
     
     ! input/output variables
@@ -707,4 +708,5 @@
   USE mod_hallo
   USE Bands
+  USE comconst_mod, ONLY: cpp, kappa
   IMPLICIT NONE
 
@@ -713,5 +715,4 @@
   include "comvert.h"
   include "comgeom2.h"
-  include "comconst.h"
 
   REAL, DIMENSION (iip1,jjp1),     INTENT(IN) :: psi ! Psol gcm
@@ -1099,9 +1100,10 @@
 ! Calcul des constantes de rappel alpha (=1/tau)
 
+    use comconst_mod, only: pi
+    
     implicit none
 
     include "dimensions.h"
     include "paramet.h"
-    include "comconst.h"
     include "comgeom2.h"
     include "serre.h"
@@ -1813,4 +1815,5 @@
   SUBROUTINE guide_out(varname,hsize,vsize,field,factt)
     USE parallel_lmdz
+    USE comconst_mod, ONLY: pi
     IMPLICIT NONE
 
@@ -1819,5 +1822,4 @@
     INCLUDE "netcdf.inc"
     INCLUDE "comgeom2.h"
-    INCLUDE "comconst.h"
     INCLUDE "comvert.h"
     
Index: LMDZ5/trunk/libf/dyn3dpar/iniacademic.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/iniacademic.F90	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/iniacademic.F90	(revision 2597)
@@ -16,4 +16,5 @@
   use exner_hyb_m, only: exner_hyb
   use exner_milieu_m, only: exner_milieu
+  USE comconst_mod, ONLY: cpp, kappa, g, daysec, dtvr, pi, im, jm
 
   !   Author:    Frederic Hourdin      original: 15/01/93
@@ -29,5 +30,4 @@
   include "paramet.h"
   include "comvert.h"
-  include "comconst.h"
   include "comgeom.h"
   include "academic.h"
Index: LMDZ5/trunk/libf/dyn3dpar/initdynav_p.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/initdynav_p.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/initdynav_p.F	(revision 2597)
@@ -12,4 +12,5 @@
        use misc_mod
        USE infotrac
+       USE comconst_mod, ONLY: pi
 
       implicit none
@@ -43,5 +44,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comvert.h"
 #include "comgeom.h"
Index: LMDZ5/trunk/libf/dyn3dpar/initfluxsto_p.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/initfluxsto_p.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/initfluxsto_p.F	(revision 2597)
@@ -13,4 +13,5 @@
        use Write_field
        use misc_mod
+       USE comconst_mod, ONLY: pi
        
       implicit none
@@ -45,5 +46,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comvert.h"
 #include "comgeom.h"
Index: LMDZ5/trunk/libf/dyn3dpar/inithist_p.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/inithist_p.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/inithist_p.F	(revision 2597)
@@ -13,4 +13,5 @@
        use misc_mod
        USE infotrac
+       USE comconst_mod, ONLY: pi
 
       implicit none
@@ -45,5 +46,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comvert.h"
 #include "comgeom.h"
Index: LMDZ5/trunk/libf/dyn3dpar/integrd_p.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/integrd_p.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/integrd_p.F	(revision 2597)
@@ -7,4 +7,5 @@
       USE parallel_lmdz
       USE control_mod, only : planet_type
+      USE comconst_mod, ONLY: pi
       IMPLICIT NONE
 
@@ -27,5 +28,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom.h"
 #include "comvert.h"
Index: LMDZ5/trunk/libf/dyn3dpar/leapfrog_p.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/leapfrog_p.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/leapfrog_p.F	(revision 2597)
@@ -28,4 +28,5 @@
      &                       periodav, ok_dyn_ave, output_grads_dyn,
      &                       iapp_tracvl
+       USE comconst_mod, ONLY: cpp, dtvr, ihf, dtphys, pi, jmp1
       IMPLICIT NONE
 
@@ -63,5 +64,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comdissnew.h"
 #include "comvert.h"
Index: LMDZ5/trunk/libf/dyn3dpar/massbar_p.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/massbar_p.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/massbar_p.F	(revision 2597)
@@ -18,5 +18,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom.h"
 c
Index: LMDZ5/trunk/libf/dyn3dpar/massbarxy_p.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/massbarxy_p.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/massbarxy_p.F	(revision 2597)
@@ -17,5 +17,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom.h"
 c
Index: LMDZ5/trunk/libf/dyn3dpar/massdair_p.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/massdair_p.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/massdair_p.F	(revision 2597)
@@ -18,5 +18,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom.h"
 c
Index: LMDZ5/trunk/libf/dyn3dpar/sw_case_williamson91_6.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/sw_case_williamson91_6.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3dpar/sw_case_williamson91_6.F	(revision 2597)
@@ -26,4 +26,5 @@
 c
 c=======================================================================
+      USE comconst_mod, ONLY: cpp, omeg, rad
       IMPLICIT NONE
 c-----------------------------------------------------------------------
@@ -34,5 +35,4 @@
 #include "paramet.h"
 #include "comvert.h"
-#include "comconst.h"
 #include "comgeom.h"
 #include "iniprint.h"
